<%@ Page language="c#" Codebehind="AdminEditUser.aspx.cs" AutoEventWireup="True" Inherits="JitbitCRM.AdminEditUser" MasterPageFile="JitbitCRMMaster.Master" %>
<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" id="Content1" runat="server">
	<h2 class="breadcrumbs"><a href="Admin.aspx">Administration</a> &raquo;
	 <a href="AdminUsers.aspx"><asp:Label ID="lblUsers" runat="server" meta:resourcekey="lblUsersResource1">Users</asp:Label></a> &raquo;
		<asp:Label ID="lblCreate" runat="server" EnableViewState="False" meta:resourcekey="lblCreateResource1">Edit user</asp:Label></h2>
	
	<table cellpadding="7" class="lightbg outerroundedbox grey" style="float:left;margin-right:15px;margin-bottom:15px">
	    <tr>
	        <th colspan="4">
	            <asp:Label ID="lblEditUser2" runat="server" EnableViewState="false" meta:resourcekey="lblEditUserResource1">Edit user</asp:Label>
	            - <a id="lnkUser" runat="server"></a>
	        </th>
	    </tr>
		<tr>
			<td>*<asp:Label ID="lblUsername" runat="server" EnableViewState="False" meta:resourcekey="lblUsernameResource1">Username:</asp:Label></td>
			<td><asp:TextBox id="tbUsername" runat="server"></asp:TextBox></td>
			<td>*<asp:Label ID="lblEmail"  runat="server" EnableViewState="False" meta:resourcekey="lblEmailResource1">Email:</asp:Label></td>
			<td><asp:TextBox id="tbEmail" runat="server"></asp:TextBox></td>
		</tr>
		<tr>
			<td><asp:Label ID="lblFirstName" AssociatedControlID="tbFirstName"  runat="server" EnableViewState="False" meta:resourcekey="lblFirstNameResource1">First name:</asp:Label></td>
			<td><asp:TextBox id="tbFirstName" runat="server"></asp:TextBox></td>
			<td><asp:Label ID="lblLastName" AssociatedControlID="tbLastName"  runat="server" EnableViewState="False" meta:resourcekey="lblLastNameResource1">Last name:</asp:Label></td>
			<td><asp:TextBox id="tbLastName" runat="server"></asp:TextBox></td>
		</tr>
		<tr>
			<td><asp:Label ID="lblPhone" AssociatedControlID="txPhone" runat="server" EnableViewState="False" meta:resourcekey="lblPhoneResource1">Phone number:</asp:Label></td>
			<td><asp:TextBox id="txPhone" runat="server"></asp:TextBox></td>
			<td><asp:Label ID="lblLocation" AssociatedControlID="txLocation"  runat="server" EnableViewState="False" meta:resourcekey="lblLocationResource1">Location:</asp:Label></td>
			<td><asp:TextBox id="txLocation" runat="server"></asp:TextBox></td>
		</tr>
		<tr>
			<td colspan="4">
			    Email signature (for outgoing emails from CRM):
			    <br />
			    <asp:TextBox ID="tbEmailSignature" runat="server" EnableViewState="false" TextMode="MultiLine" Width="100%" Rows="5"></asp:TextBox>
			</td>
		</tr>
		<tr>
			<td colspan="4">
			    <asp:Label ID="lblNotes" AssociatedControlID="tbNotes"  runat="server" EnableViewState="False" meta:resourcekey="lblNotesResource1">Other notes (from admin):</asp:Label>
			    <br />
			    <asp:TextBox ID="tbNotes" runat="server" EnableViewState="false" TextMode="MultiLine" Width="100%" Rows="7"></asp:TextBox>
			</td>
		</tr>
		<tr>
			<td colspan="4"><asp:CheckBox id="cbIsAdmin" runat="server" Text="Is Administrator" meta:resourcekey="cbIsAdminResource1"></asp:CheckBox></td>
		</tr>
		<tr>
			<td colspan="4"><asp:CheckBox id="cbDisabled" runat="server" Text="Disable" meta:resourcekey="cbDisabledResource1"></asp:CheckBox></td>
		</tr>
		<tr>
			<td colspan="4" align="center"><asp:Button id="btnSave" runat="server" Text="save" Width="250px" CssClass="gradientbg" onclick="btnSave_Click" meta:resourcekey="btnSaveResource1"></asp:Button></td>
		</tr>
		<tr>
			<td colspan="4" align="center">
				<asp:Button id="btnDelete" runat="server" Text="delete user" Width="250px" onclick="btnDelete_Click" OnClientClick="return confirm('Are you sure you want to delete the user?\nAll his comments will also be deleted.\nThere is no Undo.')" meta:resourcekey="btnDeleteResource1" EnableViewState="False"></asp:Button>
				<br /><br />
				<asp:Button ID="btnADSync" CausesValidation="false" Width="250px" EnableViewState="False" runat="server" text="update user details from Active Directory" meta:resourcekey="btnADSyncResource1" OnClick="btnADSync_Click" />
			</td>
		</tr>
	</table>

	<table cellpadding="7" class="lightbg outerroundedbox grey" style="margin-bottom:15px">
	<tr><th colspan="2">Change password</th></tr>
	<tr><td>New password:</td><td><asp:TextBox TextMode="Password" ID="tbPass" runat="server" EnableViewState="false"></asp:TextBox></td></tr>
	<tr><td>Confirm new password:</td><td><asp:TextBox TextMode="Password" ID="tbPassConfirm" runat="server" EnableViewState="false"></asp:TextBox></td></tr>
	<tr><td></td><td>
		<asp:Button ID="btnChangePassword" runat="server" OnClick="btnChangePassword_Click" Text="OK" />
		<asp:Label ID="lblPswResult" runat="server" Visible="false" EnableViewState="false" Text="OK" ForeColor="Red"></asp:Label>
	</td></tr>
	</table>

	<br style="clear:both" />
</asp:Content>
