﻿<%@ Page Language="C#" MasterPageFile="~/JitbitCRMMaster.Master" AutoEventWireup="true" CodeBehind="CompanyView.aspx.cs" Inherits="JitbitCRM.CompanyView" %>
<%@ Register src="Comments.ascx" tagname="Comments" tagprefix="uc1" %>
<%@ Register src="Tasks.ascx" tagname="Tasks" tagprefix="uc2" %>
<%@ Register src="Files.ascx" tagname="Files" tagprefix="uc3" %>
<%@ Register src="Projects.ascx" tagname="Projects" tagprefix="uc4" %>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
<div class="vcard">
<div class="leftContent">
	<div class="outerroundedbox grey" style="overflow:hidden">
	<img class="avatar" src="AvatarImage.ashx?CompanyID=<%= _companyId %>" alt="" style="float:left;margin-right:10px;" />
	Company
	<h1><asp:label CssClass="fn org" id="lblName" runat="server" EnableViewState="False"></asp:label></h1>
	<div class="clearfix"></div>
	</div>

	<ul class="tabmenu2 blueheader">
	<li runat="server" id="liComments" enableviewstate="false">
		<a href="CompanyView.aspx?CompanyID=<%=_companyId %>"><asp:Label id="lblHistory" runat="server" EnableViewState="false">History</asp:Label></a></li>
	<li runat="server" id="liTasks" enableviewstate="false">
		<a href="CompanyView.aspx?CompanyID=<%=_companyId %>&Tasks=1"><asp:Label id="lblTasks" runat="server" EnableViewState="false">Tasks</asp:Label></a></li>
	<li runat="server" id="liContacts" enableviewstate="false">
		<a href="CompanyView.aspx?CompanyID=<%=_companyId %>&Contacts=1"><asp:Label id="lblContacts" runat="server" EnableViewState="false">Contacts</asp:Label></a></li>
	<li runat="server" id="liFiles" enableviewstate="false">
		<a href="CompanyView.aspx?CompanyID=<%=_companyId %>&Files=1"><asp:Label id="lblFiles" runat="server" EnableViewState="false">Files</asp:Label></a></li>
	<li runat="server" id="liProjects" enableviewstate="false">
		<a href="CompanyView.aspx?CompanyID=<%=_companyId %>&Projects=1"><asp:Label id="lblProjects" runat="server" EnableViewState="false">Projects</asp:Label></a></li>
	</ul>

	<div class="outerroundedbox">
	<uc1:Comments ID="Comments1" runat="server" ShowContactLinks="true" ShowProjectLinks="true" ShowAttachToProject="true"></uc1:Comments>
	<uc2:Tasks ID="Tasks1" runat="server" ShowContactLinks="true" ShowProjectLinks="true" ShowAttachToProject="true" />
	<uc3:Files ID="Files1" runat="server" ShowContactLinks="true" ShowProjectLinks="true"  />
	<uc4:Projects ID="Projects1" runat="server" ShowContactLinks="true" ShowProjectLinks="true" ShowAttachToProject="true"  />
	<div id="divContacts" runat="server" enableviewstate="false">
	<button type="button" onclick="document.location='ContactEdit.aspx?CompanyID=<%=_companyId %>'">Add new contact</button>
	<br /><br />
	<asp:Repeater ID="rptContacts" runat="server" EnableViewState="false">
	<HeaderTemplate>
		<table cellpadding="7" width="100%">
		<tr><td class="grey" colspan="6" style="border-bottom:1px solid #cccccc;font-size:120%">
			<b>Contacts</b>
		</td></tr>
	</HeaderTemplate>
	<ItemTemplate>
		<tr><td width="25"><img src='AvatarImage.ashx?ContactID=<%# Eval("ContactID") %>' class="smallavatar" alt="" /></td>
		<td style="white-space:nowrap"><a href="ContactView.aspx?ContactID=<%# Eval("ContactID") %>"><%# Eval("Name") %></a></td>
		<td class="grey"><%# Eval("Title") %></td>
		<td class="grey"><%# Eval("Email") %></td>
		<td class="grey"><%# Eval("Phone")%></td>
		<td class="grey"><%# Eval("Comments")%></td></tr></ItemTemplate>
	<FooterTemplate></table></FooterTemplate>
	</asp:Repeater>
	</div>
	</div>


</div>
<div class="rightsidebar">



	<table cellpadding="7" width="100%" class="outerroundedbox lightbg">
		<tr><th colspan="2">
			<span style="float:left"><asp:label id="lblDetails" runat="server" EnableViewState="False">Company details</asp:label></span>
			<a href="CompanyEdit.aspx?CompanyID=<%=_companyId %>" style="float:right">edit...</a>
		</th></tr>
		<tr>
			<td width="30%" class="grey" align="right">Tags:</td>
			<td align="left"><asp:Label ID="lblTags" runat="server" EnableViewState="False"/></td>
		</tr>
		
		<tr id="trHelpdesk" runat="server" enableviewstate="false">
			<td class="grey" align="right">Tickets in helpdesk:</td>
			<td><a id="lnkTickets" runat="server" target="_blank">helpdesk</a></td>
		</tr>
		<tr>
			<td class="grey" align="right">Assigned to:</td>
			<td align="left"><a href="" id="lnkAssignedTo" runat="server" enableviewstate="false"></a></td>
		</tr>
		<tr>
			<td class="grey" align="right">Website:</td>
			<td align="left"><a href="" target="_blank" class="url" id="aWebsite" runat="server" enableviewstate="false"></a></td>
		</tr>
		<tr>
			<td class="grey" align="right">Email:</td>
			<td align="left"><a href="SendEmail.aspx?CompanyID=<%= _companyId %>"><asp:Label CssClass="email" ID="lblEmail" runat="server" EnableViewState="False" /></a></td>
		</tr>
		<tr>
			<td class="grey" align="right">Comments:</td>
			<td align="left"><asp:Label ID="lblComments" runat="server" EnableViewState="False" /></td>
		</tr>
		<tr>
			<td class="grey" align="right">Phone:</td>
			<td align="left"><asp:Label ID="lblPhone" CssClass="tel" runat="server" EnableViewState="False"/></td>
		</tr>
		<tr>
			<td class="grey" align="right">Fax:</td>
			<td align="left"><asp:Label ID="lblFax" CssClass="tel" runat="server" EnableViewState="False"/></td>
		</tr>
		<tr>
			<td class="grey" align="right">MobilePhone:</td>
			<td align="left"><asp:Label ID="lblMobilePhone" CssClass="tel" runat="server" EnableViewState="False" /></td>
		</tr>
		<tr>
			<td class="grey" align="right">Address1:</td>
			<td align="left"><asp:Label ID="lblAddress1" runat="server" EnableViewState="False"/></td>
		</tr>
		<tr>
			<td class="grey" align="right">Address2:</td>
			<td align="left"><asp:Label ID="lblAddress2" runat="server" EnableViewState="False" /></td>
		</tr>
		<tr>
			<td class="grey" align="right">Postal Code:</td>
			<td align="left"><asp:Label ID="lblPostalCode" runat="server" EnableViewState="False" /></td>
		</tr>
		<tr>
			<td class="grey" align="right">City:</td>
			<td align="left"><asp:Label ID="lblCity" runat="server" EnableViewState="False" /></td>
		</tr>
		<tr>
			<td class="grey" align="right">State/Region:</td>
			<td align="left"><asp:Label ID="lblStateRegion" runat="server" EnableViewState="False" /></td>
		</tr>
		<tr>
			<td class="grey" align="right">Country:</td>
			<td align="left"><asp:Label ID="lblCountry" runat="server" EnableViewState="False" /></td>
		</tr>
		<tr>
			<td class="grey" align="right"><a href="" target="_blank" id="linkMap" runat="server" enableviewstate="false" title="locate on Google Maps">show on map...</a></td>
			<td class="grey" align="right"><a href="GetVCard.ashx?CompanyID=<%=_companyId %>" title="export to vCard">export to vCard <img src="images/vcard.png" alt="vCard" /></a></td>
		</tr>
		
		
		<asp:Repeater ID="rptCustomFields" runat="server" EnableViewState="false">
			<HeaderTemplate><tr><td colspan="2"><hr /></td></tr></HeaderTemplate>
			<ItemTemplate>
				<tr><td align="right" class="grey"><%# Eval("FieldName") %>:</td><td><%# ShowCustomFieldValue( Eval("FieldID"), Eval("Type"),  Eval("Value")) %></td></tr>
			</ItemTemplate>
		</asp:Repeater>

		<tr>
			<td></td><td align="right" class="grey"><a href="CompanyPrint.aspx?CompanyID=<%=_companyId %>">print <img src="images/print.png" alt="print" /></a></td>
		</tr>
		
	</table>

</div>
<div class="clearfix"></div>
</div>
</asp:Content>
